# STTA Rev. 1.3 Copyright (c) 2001-2004 Jesús Pérez Lorenzo  --- license GNU GPL 
# stta: (@#) 1.31051043346- [2004_01_29_102036]
# hosts.pl for STTA 
 
if ($access{'addhosts'} && $config{'is_masterHost'} eq "true" ) {
        if ($interface eq "tabs" ) {
	    print "<td valign=center align=Center $tb><font color='$revtext'>\n";
        } else {
      	    print "<td valign=top align=Center >\n";
        }
        if ($out_titles eq 1 ) {
	    print "<h3>$text{'index_hosts'}</h3></font>\n";
        }
        if ($interface eq "tabs" ) { print "</td>\n" };
#        if ( $ldap_ok eq true || $config{has_ldapusers} ne "true" ){

             @olinks = ("tta_addhosts.cgi","tta_modhosts.cgi","tta_delhosts.cgi","tta_mvhosts.cgi","tta_alivehosts.cgi");
             @otitles = map { /^tta_(\S+).cgi/; $text{$1."_title"} } @olinks;
             @oicons = map { /^tta_(\S+).cgi/; "images/$1.gif"; } @olinks;
#       }
        if ($interface eq "tabs" ) {
               &outicons_table;
        } else { 
               &icons_table(\@olinks, \@otitles, \@oicons);
        }
}
